# -*- coding:utf-8 -*-

# Blender asset_management_2_8 Add-on
# Copyright (C) 2018 Legigan Jeremy AKA Pistiwique
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# <pep8 compliant>

import bpy

from bpy.types import Panel

class VIEW3D_PT_asturias_tools(Panel):
    bl_label = "Asturias Tools"
    bl_space_type = "VIEW_3D"
    bl_region_type = "UI"

    def draw(self, context):
        asturias = context.window_manager.asturias
        layout = self.layout

        box = layout.box()
        row = box.row()
        row.alignment = "CENTER"
        row.label(text="Group from selection")
        box.operator("asturiastools.create_collections")

        layout.separator()

        box = layout.box()
        row = box.row()
        row.alignment = "CENTER"
        row.label(text="Replace material")

        row = box.row(align=True)
        row.prop(asturias, "on_selection")

        row = box.row()
        row.label(text="Target")
        row = box.row(align=True)
        split = row.split(factor=0.2)
        split.separator()
        split.prop(asturias, "mat_to_replace", text="")

        row = box.row()
        row.label(text="To be replaced by")
        row = box.row(align=True)
        split = row.split(factor=0.2)
        split.separator()
        split.prop_search(
                asturias,
                "mat_to_assign",
                bpy.data,
                "materials",
                text="")

        box.operator("asturiastools.replace_material")

def register():
    bpy.utils.register_class(VIEW3D_PT_asturias_tools)

def unregister():
    bpy.utils.unregister_class(VIEW3D_PT_asturias_tools)